import { jsx as _jsx } from "react/jsx-runtime";
import { usePlugins } from "@react-fluent-edit/core";
const MarkdownLeaf = ({ attributes, children, leaf }) => {
    var _a;
    let style = {};
    const plugin = usePlugins("markdown");
    const { h1, h2, h3, h4, h5, h6, codespan, marker } = (_a = plugin.options.styles) !== null && _a !== void 0 ? _a : {};
    if (leaf.strong) {
        style.fontWeight = "bold";
    }
    if (leaf.em) {
        style.fontStyle = "italic";
    }
    if (leaf.del) {
        style.textDecoration = "line-through";
    }
    if (leaf.codespan) {
        style = Object.assign(Object.assign(Object.assign({}, style), { fontFamily: "monospace" }), codespan);
    }
    if (leaf.h1) {
        style = Object.assign(Object.assign(Object.assign({}, style), { fontSize: "2em", marginBlockStart: "0.67em", marginBlockEnd: "0.67em", fontWeight: "bold", display: "inline-block" }), h1);
    }
    if (leaf.h2) {
        style = Object.assign(Object.assign(Object.assign({}, style), { fontSize: "1.5em", marginBlockStart: "0.83em", marginBlockEnd: "0.83em", fontWeight: "bold", display: "inline-block" }), h2);
    }
    if (leaf.h3) {
        style = Object.assign(Object.assign(Object.assign({}, style), { fontSize: "1.17em", marginBlockStart: "1em", marginBlockEnd: "1em", fontWeight: "bold", display: "inline-block" }), h3);
    }
    if (leaf.h4) {
        style = Object.assign(Object.assign(Object.assign({}, style), { marginBlockStart: "1.33em", marginBlockEnd: "1.33em", fontWeight: "bold", display: "inline-block" }), h4);
    }
    if (leaf.h5) {
        style = Object.assign(Object.assign(Object.assign({}, style), { fontSize: "0.83em", marginBlockStart: "1.67em", marginBlockEnd: "1.67em", fontWeight: "bold", display: "inline-block" }), h5);
    }
    if (leaf.h6) {
        style = Object.assign(Object.assign(Object.assign({}, style), { fontSize: "0.67em", marginBlockStart: "2.33em", marginBlockEnd: "2.33em", fontWeight: "bold", display: "inline-block" }), h6);
    }
    if (leaf.marker) {
        style = Object.assign(Object.assign(Object.assign({}, style), { color: "#777" }), marker);
    }
    return (_jsx("span", Object.assign({}, attributes, { style: style }, { children: children })));
};
export default MarkdownLeaf;
