import MarkdownLeaf from "../MarkdownLeaf";
import { decorateMarkdown, handleKeydown } from "../utils";
import withMarkdown from "../withMarkdown";
const tokens = [
    "strong",
    "em",
    "del",
    "codespan",
    "link",
    "h1",
    "h2",
    "h3",
    "h4",
    "h5",
    "h6",
    "marker",
];
function createMarkdownPlugin(options = {}) {
    return {
        name: "markdown",
        leave: {
            match: ({ leaf }) => tokens.some((key) => leaf[key]),
            component: options.component || MarkdownLeaf,
        },
        override: withMarkdown,
        decorate: decorateMarkdown,
        handlers: { onKeyDown: { handler: handleKeydown } },
        options,
    };
}
export default createMarkdownPlugin;
