import { marked } from "marked";
interface WithPosition {
    _start: number;
    _end: number;
}
type Token = marked.Token & WithPosition;
type HeadingToken = marked.Tokens.Heading & WithPosition;
declare const rules: {
    heading: RegExp;
    listItem: RegExp;
    listItemStart: RegExp;
};
declare function getTokens(src: string): Token[];
declare function walkTokens(tokens: Token[], fn: (token: Token) => void): void;
export { getTokens, walkTokens, Token, HeadingToken, rules };
